KimaiPlugin\TaskManagementBundle\Entity\Task:
    exclusion_policy: All
    custom_accessor_order: [id, begin, end, user, activity, project, description]
    properties:
        id:
            include: true
        begin:
            exclude: true
        end:
            exclude: true
        user:
            exclude: true
        activity:
            groups: [Subresource]
        project:
            groups: [Subresource]
        description:
            include: true
    virtual_properties:
        getBegin:
            serialized_name: begin
            exp: "object.getBegin() === null ? null : object.getBegin()"
            type: DateTime
        getEnd:
            serialized_name: end
            exp: "object.getEnd() === null ? null : object.getEnd()"
            type: DateTime
        getActivity:
            serialized_name: activity
            exp: "object.getActivity() === null ? null : object.getActivity().getId()"
            type: integer
            groups: [Entity, Collection]
        getProject:
            serialized_name: project
            exp: "object.getProject() === null ? null : object.getProject().getId()"
            type: integer
            groups: [Entity, Collection]
        getUser:
            serialized_name: user
            exp: "object.getUser() === null ? null : object.getUser().getId()"
            type: integer
